commit:     0d82fe6ce4cf2efda6790894a04607b391fed690
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 10 06:19:04 2018 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Nov 10 06:19:04 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0d82fe6c

app-emacs/graphql: fix compilation without ghub

Don't install examples.el which depends on ghub, leading
to circular dependencies.

Fixes: https://bugs.gentoo.org/670779
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 app-emacs/graphql/graphql-0.1.1.ebuild | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/app-emacs/graphql/graphql-0.1.1.ebuild 
b/app-emacs/graphql/graphql-0.1.1.ebuild
index eb8fe947e5f..9dccfdd1f85 100644
--- a/app-emacs/graphql/graphql-0.1.1.ebuild
+++ b/app-emacs/graphql/graphql-0.1.1.ebuild
@@ -20,3 +20,10 @@ DOCS="README.md"
 
 # Tries to download emake tool on the fly
 RESTRICT="test"
+
+src_prepare() {
+       # Avoid examples which would require circular dependencies
+       rm -f examples.el || die
+
+       default
+}

Reply via email to